repo/gentoo:master commit in: dev-qt/qtlocation/
"Ionen Wolkens" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1787053232.c34f4b34833a1d4ce7465e83bff69643d6f411d3.ionen@gentoo> |
commit: c34f4b34833a1d4ce7465e83bff69643d6f411d3
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 11:15:15 2026 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Aug 18 11:40:32 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c34f4b34
dev-qt/qtlocation: add 6.11.2
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
dev-qt/qtlocation/Manifest | 1 +
dev-qt/qtlocation/qtlocation-6.11.2.ebuild | 44 ++++++++++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-qt/qtlocation/Manifest b/dev-qt/qtlocation/Manifest
index 44c275c9626d..c87837af574b 100644
--- a/dev-qt/qtlocation/Manifest
+++ b/dev-qt/qtlocation/Manifest
@@ -1 +1,2 @@
DIST qtlocation-everywhere-src-6.11.1.tar.xz 3151756 BLAKE2B 6ec6337831f356bdbb9871d0cc9dfbba434af3c0c3592e20e0fad2018f9909b13bb9f5c49ccdbd8a8b780f2f45ce919afbba4fec2b6e0008a6c7fc69eb74fb2f SHA512 3b08b74531acf0a8d35070a0716d6b452d9fea2b9eeecec5f80a5d4a79ead83d4f63c1b1d959ba53725f4ae03ac451d5c8c4fbdd49527054f1afb9fd6ab3bbba
+DIST qtlocation-everywhere-src-6.11.2.tar.xz 3152216 BLAKE2B a9e4506462bba5094f0b5688db5dd43580589206415009b5ca4c5149d8b118f1a643457e0969436eec94ea03d691ca3d1b7f56b5d4f06ba462e286469d5c3188 SHA512 a402ac772bb94c180e72910fa5ab7fb6070f8d2203eb8497ee3efd98fbe098178f3d803446ce9ee33703e9037e6c89a7ffd0e5d66141666cadde3916620fd745
diff --git a/dev-qt/qtlocation/qtlocation-6.11.2.ebuild b/dev-qt/qtlocation/qtlocation-6.11.2.ebuild
new file mode 100644
index 000000000000..f45e5eba626b
--- /dev/null
+++ b/dev-qt/qtlocation/qtlocation-6.11.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Location (places, maps, navigation) library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+ ~dev-qt/qtbase-${PV}:6[network]
+ ~dev-qt/qtdeclarative-${PV}:6
+ ~dev-qt/qtpositioning-${PV}:6[qml]
+"
+DEPEND="${RDEPEND}"
+
+CMAKE_SKIP_TESTS=(
+ # ignores QML_IMPORT_PATH (unlike other tests) and looks in
+ # the missing builddir/qml, skip rather than work around
+ tst_declarative_ui
+)
+
+src_install() {
+ qt6-build_src_install
+
+ if use test; then
+ local delete=( # sigh
+ "${D}${QT6_LIBDIR}"/cmake/Qt6Location/*TestGeoServicePlugin*.cmake
+ "${D}${QT6_LIBDIR}"/cmake/Qt6Location/*UnsupportedPlacesGeoServicePlugin*.cmake
+ "${D}${QT6_LIBDIR}"/cmake/Qt6Qml/QmlPlugins/*declarative_location_test*.cmake
+ "${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_geocodingplugin.so
+ "${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_placesplugin_unsupported.so
+ "${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_qmltestplugin.so
+ "${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_routingplugin.so
+ "${D}${QT6_QMLDIR}"/QtLocation/Test
+ )
+ # using -f given not tracking which tests may be skipped or not
+ rm -rf -- "${delete[@]}" || die
+ fi
+}